---
- name: Converge
  hosts: molecule-toolchain
  tasks:
    - name: Import Variables via Tasks
      include_tasks:
        file: ../../../../import_vars.yml

    - name: Set facts_dir
      set_fact:
        facts_dir: "~/xand/ansible/facts.d"

    - block:
      - name: Save cloud_provider fact that is different from default google
        vars:
          gke_existing_fact:
            project_id: "old-project-234"
            region: "region-old-123"
            zone: "zone-old-456"
            gcp_t4_bucketname: "some-old-bucketname"
            cluster_name: "some-old-clustername"
        copy:
          content: "{{ gke_existing_fact }}"
          dest: "{{ (facts_dir, 'gke.fact') | path_join }}"

      - name: "Include redeploy-warning role"
        include_role:
          name: "cluster-creation"
          tasks_from: redeploy_check.yml

      - name: "Check execution halted"
        fail:
          msg: "Execution should stop before this task"
        register: should_not_run

      rescue:
        - name: Role should have errored out and not executed last task
          assert:
            that:
              - should_not_run is not defined
